Streaming Policies - Create

Een streamingbeleid maken in het Media Services account

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaServices/{accountName}/streamingPolicies/{streamingPolicyName}?api-version=2020-05-01

URI-parameters

Name In Required Type Description
accountName
path True
  • string

De Media Services accountnaam.

resourceGroupName
path True
  • string

De naam van de resourcegroep binnen het Azure-abonnement.

streamingPolicyName
path True
  • string

De naam van het streamingbeleid.

subscriptionId
path True
  • string

De unieke id voor een Microsoft Azure abonnement.

api-version
query True
  • string

De versie van de API die moet worden gebruikt met de clientaanvraag.

Aanvraagbody

Name Type Description
properties.commonEncryptionCbcs

Configuratie van CommonEncryptionCbcs

properties.commonEncryptionCenc

Configuratie van CommonEncryptionCenc

properties.defaultContentKeyPolicyName
  • string

Standaard ContentKey die wordt gebruikt door het huidige streamingbeleid

properties.envelopeEncryption

Configuratie van EnvelopeEncryption

properties.noEncryption

Configuraties van NoEncryption

Antwoorden

Name Type Description
201 Created

Gemaakt

Other Status Codes

Gedetailleerde foutinformatie.

Voorbeelden

Creates a Streaming Policy with clear streaming
Creates a Streaming Policy with commonEncryptionCbcs only
Creates a Streaming Policy with commonEncryptionCenc only
Creates a Streaming Policy with envelopeEncryption only
Creates a Streaming Policy with secure streaming

Creates a Streaming Policy with clear streaming

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedClearStreamingPolicy?api-version=2020-05-01
{
  "properties": {
    "noEncryption": {
      "enabledProtocols": {
        "download": true,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      }
    }
  }
}

Sample Response

{
  "name": "UserCreatedClearStreamingPolicy",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedClearStreamingPolicy",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.1535417Z",
    "noEncryption": {
      "enabledProtocols": {
        "download": true,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      }
    }
  }
}

Creates a Streaming Policy with commonEncryptionCbcs only

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithCommonEncryptionCbcsOnly?api-version=2020-05-01
{
  "properties": {
    "defaultContentKeyPolicyName": "PolicyWithMultipleOptions",
    "commonEncryptionCbcs": {
      "enabledProtocols": {
        "download": false,
        "dash": false,
        "hls": true,
        "smoothStreaming": false
      },
      "contentKeys": {
        "defaultKey": {
          "label": "cbcsDefaultKey"
        }
      },
      "drm": {
        "fairPlay": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/fairplay/{ContentKeyId}",
          "allowPersistentLicense": true
        }
      }
    }
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingPolicyWithCommonEncryptionCbcsOnly",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithCommonEncryptionCbcsOnly",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.6197199Z",
    "defaultContentKeyPolicyName": "PolicyWithMultipleOptions",
    "commonEncryptionCbcs": {
      "enabledProtocols": {
        "download": false,
        "dash": false,
        "hls": true,
        "smoothStreaming": false
      },
      "clearTracks": [],
      "contentKeys": {
        "defaultKey": {
          "label": "cbcsDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "drm": {
        "fairPlay": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/fairplay/{ContentKeyId}",
          "allowPersistentLicense": true
        }
      }
    }
  }
}

Creates a Streaming Policy with commonEncryptionCenc only

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithCommonEncryptionCencOnly?api-version=2020-05-01
{
  "properties": {
    "defaultContentKeyPolicyName": "PolicyWithPlayReadyOptionAndOpenRestriction",
    "commonEncryptionCenc": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": false,
        "smoothStreaming": true
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "property": "FourCC",
              "operation": "Equal",
              "value": "hev1"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "cencDefaultKey"
        }
      },
      "drm": {
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/playready/{ContentKeyId}",
          "playReadyCustomAttributes": "PlayReady CustomAttributes"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/widevine/{ContentKeyId"
        }
      }
    }
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingPolicyWithCommonEncryptionCencOnly",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithCommonEncryptionCencOnly",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.4678543Z",
    "defaultContentKeyPolicyName": "PolicyWithPlayReadyOptionAndOpenRestriction",
    "commonEncryptionCenc": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": false,
        "smoothStreaming": true
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "property": "FourCC",
              "operation": "Equal",
              "value": "hev1"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "cencDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "drm": {
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/playready/{ContentKeyId}",
          "playReadyCustomAttributes": "PlayReady CustomAttributes"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/widevine/{ContentKeyId"
        }
      }
    }
  }
}

Creates a Streaming Policy with envelopeEncryption only

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithEnvelopeEncryptionOnly?api-version=2020-05-01
{
  "properties": {
    "defaultContentKeyPolicyName": "PolicyWithClearKeyOptionAndTokenRestriction",
    "envelopeEncryption": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      },
      "contentKeys": {
        "defaultKey": {
          "label": "aesDefaultKey"
        }
      },
      "customKeyAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/envelope/{ContentKeyId}"
    }
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingPolicyWithEnvelopeEncryptionOnly",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithEnvelopeEncryptionOnly",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.3055712Z",
    "defaultContentKeyPolicyName": "PolicyWithClearKeyOptionAndTokenRestriction",
    "envelopeEncryption": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      },
      "clearTracks": [],
      "contentKeys": {
        "defaultKey": {
          "label": "aesDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "customKeyAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/envelope/{ContentKeyId}"
    }
  }
}

Creates a Streaming Policy with secure streaming

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicy?api-version=2020-05-01
{
  "properties": {
    "defaultContentKeyPolicyName": "PolicyWithMultipleOptions",
    "envelopeEncryption": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      },
      "contentKeys": {
        "defaultKey": {
          "label": "aesDefaultKey"
        }
      },
      "customKeyAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/envelope/{ContentKeyId}"
    },
    "commonEncryptionCenc": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": false,
        "smoothStreaming": true
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "property": "FourCC",
              "operation": "Equal",
              "value": "hev1"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "cencDefaultKey"
        }
      },
      "drm": {
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/playready/{ContentKeyId}",
          "playReadyCustomAttributes": "PlayReady CustomAttributes"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/widevine/{ContentKeyId"
        }
      }
    },
    "commonEncryptionCbcs": {
      "enabledProtocols": {
        "download": false,
        "dash": false,
        "hls": true,
        "smoothStreaming": false
      },
      "contentKeys": {
        "defaultKey": {
          "label": "cbcsDefaultKey"
        }
      },
      "drm": {
        "fairPlay": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/fairplay/{ContentKeyId}",
          "allowPersistentLicense": true
        }
      }
    }
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingPolicy",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicy",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.7715696Z",
    "defaultContentKeyPolicyName": "PolicyWithMultipleOptions",
    "envelopeEncryption": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      },
      "clearTracks": [],
      "contentKeys": {
        "defaultKey": {
          "label": "aesDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "customKeyAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/envelope/{ContentKeyId}"
    },
    "commonEncryptionCenc": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": false,
        "smoothStreaming": true
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "property": "FourCC",
              "operation": "Equal",
              "value": "hev1"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "cencDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "drm": {
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/playready/{ContentKeyId}",
          "playReadyCustomAttributes": "PlayReady CustomAttributes"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/widevine/{ContentKeyId"
        }
      }
    },
    "commonEncryptionCbcs": {
      "enabledProtocols": {
        "download": false,
        "dash": false,
        "hls": true,
        "smoothStreaming": false
      },
      "clearTracks": [],
      "contentKeys": {
        "defaultKey": {
          "label": "cbcsDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "drm": {
        "fairPlay": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/fairplay/{ContentKeyId}",
          "allowPersistentLicense": true
        }
      }
    }
  }
}

Definities

ApiError

De API-fout.

CbcsDrmConfiguration

Klasse voor het opgeven van DRM-configuraties van commonEncryptionCbcs-schema in streamingbeleid

CencDrmConfiguration

Klasse om DRM-configuraties van CommonEncryptionCenc-schema op te geven in streamingbeleid

CommonEncryptionCbcs

Klasse voor CommonEncryptionCbcs-versleutelingsschema

CommonEncryptionCenc

Klasse voor envelopversleutelingsschema

createdByType

Het type identiteit dat de resource heeft gemaakt.

DefaultKey

Klasse om eigenschappen van de standaardinhoudssleutel voor elk versleutelingsschema op te geven

EnabledProtocols

Klasse om op te geven welke protocollen zijn ingeschakeld

EnvelopeEncryption

Klasse voor EnvelopeEncryption-versleutelingsschema

NoEncryption

Klasse voor NoEncryption-schema

ODataError

Informatie over een fout.

StreamingPolicy

Een streamingbeleidsresource

StreamingPolicyContentKey

Klasse om eigenschappen van de inhoudssleutel op te geven

StreamingPolicyContentKeys

Klasse om eigenschappen van alle inhoudssleutels in streamingbeleid op te geven

StreamingPolicyFairPlayConfiguration

Klasse om configuraties van FairPlay op te geven in streamingbeleid

StreamingPolicyPlayReadyConfiguration

Klasse om configuraties van PlayReady op te geven in streamingbeleid

StreamingPolicyWidevineConfiguration

Klasse om configuraties van Widevine op te geven in streamingbeleid

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

TrackPropertyCompareOperation

Bewerking eigenschapsvoorwaarde bijhouden

TrackPropertyCondition

Klasse om één eigenschapsvoorwaarde voor het bijhouden op te geven

TrackPropertyType

Eigenschapstype bijhouden

TrackSelection

Klasse om een track te selecteren

ApiError

De API-fout.

Name Type Description
error

De fouteigenschappen.

CbcsDrmConfiguration

Klasse voor het opgeven van DRM-configuraties van commonEncryptionCbcs-schema in streamingbeleid

Name Type Description
fairPlay

FairPlay-configuraties

playReady

PlayReady-configuraties

widevine

Widevine-configuraties

CencDrmConfiguration

Klasse om DRM-configuraties van CommonEncryptionCenc-schema op te geven in streamingbeleid

Name Type Description
playReady

PlayReady-configuraties

widevine

Widevine-configuraties

CommonEncryptionCbcs

Klasse voor CommonEncryptionCbcs-versleutelingsschema

Name Type Description
clearTracks

Vertegenwoordigen welke sporen niet moeten worden versleuteld

contentKeys

Vertegenwoordigen van de standaardinhoudssleutel voor elk versleutelingsschema en afzonderlijke inhoudssleutels voor specifieke sporen

drm

Configuratie van DRM's voor het huidige versleutelingsschema

enabledProtocols

Ondersteunde protocollen vertegenwoordigen

CommonEncryptionCenc

Klasse voor envelopversleutelingsschema

Name Type Description
clearTracks

Vertegenwoordigen welke sporen niet moeten worden versleuteld

contentKeys

Vertegenwoordigen van de standaardinhoudssleutel voor elk versleutelingsschema en afzonderlijke inhoudssleutels voor specifieke sporen

drm

Configuratie van DRM's voor CommonEncryptionCenc-versleutelingsschema

enabledProtocols

Ondersteunde protocollen vertegenwoordigen

createdByType

Het type identiteit dat de resource heeft gemaakt.

Name Type Description
Application
  • string
Key
  • string
ManagedIdentity
  • string
User
  • string

DefaultKey

Klasse om eigenschappen van de standaardinhoudssleutel voor elk versleutelingsschema op te geven

Name Type Description
label
  • string

Label kan worden gebruikt om inhoudssleutel op te geven bij het maken van een streaming-locator

policyName
  • string

Beleid dat wordt gebruikt door standaardsleutel

EnabledProtocols

Klasse om op te geven welke protocollen zijn ingeschakeld

Name Type Description
dash
  • boolean

DASH-protocol inschakelen of niet

download
  • boolean

Downloadprotocol inschakelen of niet

hls
  • boolean

HLS-protocol inschakelen of niet

smoothStreaming
  • boolean

SmoothStreaming-protocol al dan niet inschakelen

EnvelopeEncryption

Klasse voor EnvelopeEncryption-versleutelingsschema

Name Type Description
clearTracks

Vertegenwoordigen welke sporen niet moeten worden versleuteld

contentKeys

Vertegenwoordigen van de standaardinhoudssleutel voor elk versleutelingsschema en afzonderlijke inhoudssleutels voor specifieke sporen

customKeyAcquisitionUrlTemplate
  • string

Sjabloon voor de URL van de aangepaste service die sleutels levert aan eindgebruikers. Niet vereist bij het gebruik Azure Media Services voor het uitgeven van sleutels. De sjabloon ondersteunt vervangbare tokens die de service tijdens runtime bijwerkt met de waarde die specifiek is voor de aanvraag. De momenteel ondersteunde tokenwaarden zijn {AlternativeMediaId}, die worden vervangen door de waarde van StreamingLocatorId.AlternativeMediaId en {ContentKeyId}, die wordt vervangen door de waarde van de id van de sleutel die wordt aangevraagd.

enabledProtocols

Ondersteunde protocollen vertegenwoordigen

NoEncryption

Klasse voor NoEncryption-schema

Name Type Description
enabledProtocols

Ondersteunde protocollen vertegenwoordigen

ODataError

Informatie over een fout.

Name Type Description
code
  • string

Een taal-onafhankelijke foutnaam.

details

De foutdetails.

message
  • string

Het foutbericht.

target
  • string

Het doel van de fout (bijvoorbeeld de naam van de eigenschap in fout).

StreamingPolicy

Een streamingbeleidsresource

Name Type Description
id
  • string

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name
  • string

De naam van de resource

properties.commonEncryptionCbcs

Configuratie van CommonEncryptionCbcs

properties.commonEncryptionCenc

Configuratie van CommonEncryptionCenc

properties.created
  • string

Aanmaaktijd van streamingbeleid

properties.defaultContentKeyPolicyName
  • string

Standaard ContentKey die wordt gebruikt door het huidige streamingbeleid

properties.envelopeEncryption

Configuratie van EnvelopeEncryption

properties.noEncryption

Configuraties van NoEncryption

systemData

De metagegevens van het systeem met betrekking tot deze resource.

type
  • string

Het type resource. Bijvoorbeeld "Microsoft.Compute/virtualMachines" of "Microsoft. Storage/storageAccounts"

StreamingPolicyContentKey

Klasse om eigenschappen van de inhoudssleutel op te geven

Name Type Description
label
  • string

Label kan worden gebruikt om inhoudssleutel op te geven bij het maken van een streaming-locator

policyName
  • string

Beleid dat wordt gebruikt door inhoudssleutel

tracks

Houdt bij welke inhoudssleutel wordt gebruikt

StreamingPolicyContentKeys

Klasse om eigenschappen van alle inhoudssleutels in streamingbeleid op te geven

Name Type Description
defaultKey

Standaardinhoudssleutel voor een versleutelingsschema

keyToTrackMappings

Voor het vertegenwoordigen van sporen is een afzonderlijke inhoudssleutel nodig

StreamingPolicyFairPlayConfiguration

Klasse om configuraties van FairPlay op te geven in streamingbeleid

Name Type Description
allowPersistentLicense
  • boolean

Alle licenties zijn permanent of niet

customLicenseAcquisitionUrlTemplate
  • string

Sjabloon voor de URL van de aangepaste service die licenties levert aan eindgebruikers. Niet vereist bij het gebruik Azure Media Services voor het verlenen van licenties. De sjabloon ondersteunt vervangbare tokens die de service tijdens runtime bijwerkt met de waarde die specifiek is voor de aanvraag. De momenteel ondersteunde tokenwaarden zijn {AlternativeMediaId}, die worden vervangen door de waarde van StreamingLocatorId.AlternativeMediaId en {ContentKeyId}, die wordt vervangen door de waarde van de id van de sleutel die wordt aangevraagd.

StreamingPolicyPlayReadyConfiguration

Klasse om configuraties van PlayReady op te geven in streamingbeleid

Name Type Description
customLicenseAcquisitionUrlTemplate
  • string

Sjabloon voor de URL van de aangepaste service die licenties levert aan eindgebruikers. Niet vereist bij het gebruik Azure Media Services voor het verlenen van licenties. De sjabloon ondersteunt vervangbare tokens die de service tijdens runtime bijwerkt met de waarde die specifiek is voor de aanvraag. De momenteel ondersteunde tokenwaarden zijn {AlternativeMediaId}, die worden vervangen door de waarde van StreamingLocatorId.AlternativeMediaId en {ContentKeyId}, die wordt vervangen door de waarde van de id van de sleutel die wordt aangevraagd.

playReadyCustomAttributes
  • string

Aangepaste kenmerken voor PlayReady

StreamingPolicyWidevineConfiguration

Klasse om configuraties van Widevine op te geven in streamingbeleid

Name Type Description
customLicenseAcquisitionUrlTemplate
  • string

Sjabloon voor de URL van de aangepaste service die licenties levert aan eindgebruikers. Niet vereist bij het gebruik Azure Media Services voor het verlenen van licenties. De sjabloon ondersteunt vervangbare tokens die de service tijdens runtime bijwerkt met de waarde die specifiek is voor de aanvraag. De momenteel ondersteunde tokenwaarden zijn {AlternativeMediaId}, die worden vervangen door de waarde van StreamingLocatorId.AlternativeMediaId en {ContentKeyId}, die wordt vervangen door de waarde van de id van de sleutel die wordt aangevraagd.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt
  • string

Het tijdstempel van het maken van resources (UTC).

createdBy
  • string

De identiteit die de resource heeft gemaakt.

createdByType

Het type identiteit dat de resource heeft gemaakt.

lastModifiedAt
  • string

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy
  • string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.

TrackPropertyCompareOperation

Bewerking eigenschapsvoorwaarde bijhouden

Name Type Description
Equal
  • string

Gelijk aan bewerking

Unknown
  • string

Onbekende bewerking voor het vergelijken van eigenschappen bijhouden

TrackPropertyCondition

Klasse om één eigenschapsvoorwaarde voor het bijhouden op te geven

Name Type Description
operation

Bewerking eigenschapsvoorwaarde bijhouden

property

Eigenschapstype bijhouden

value
  • string

Eigenschapswaarde bijhouden

TrackPropertyType

Eigenschapstype bijhouden

Name Type Description
FourCC
  • string

FourCC volgen

Unknown
  • string

Onbekende track-eigenschap

TrackSelection

Klasse om een track te selecteren

Name Type Description
trackSelections

TrackSelections is een lijst met eigenschappen voor bijhouden waarin track(s) kunnen worden opgegeven